import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, c = (h, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, s) : r, p = h.length - 1, i; p >= 0; p--)
    (i = h[p]) && (e = (t ? i(r, s, e) : i(e)) || e);
  return t && e && f(r, s, e), e;
};
let o = class extends n {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--over21Large", this.class = "c-pieIcon c-pieIcon--over21Large", this.name = "IconOver21Large";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--over21Large"><path d="M3.5 22h8.636l-.05-2.133H5.962v-.124c0-.624.67-1.135 2.525-2.058 2.058-.985 3.32-2.182 3.32-4.14 0-2.195-1.59-3.542-4.115-3.542a5.4 5.4 0 0 0-2.24.404 5.3 5.3 0 0 0-1.864 1.292l1.39 1.684c.31-.359.699-.646 1.135-.84a3.3 3.3 0 0 1 1.39-.282c1.047 0 1.78.311 1.78 1.359 0 1.047-.606 1.484-2.526 2.494S3.5 18.084 3.5 20.366z"></path><path d="M16.53 22h2.399V10.215h-1.73l-3.447 1.534.808 2.008 1.97-.723z"></path><path d="M26.129 17.2h2.4v-2.4h-2.4v-2.4h-2.4v2.4h-2.4v2.4h2.4v2.4h2.4z"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  v("icon-over21-large")
], o);
export {
  o as IconOver21Large
};
